Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedClass.CachedMethodComparatorByName

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorByName

All Implemented Interfaces:
  java.util.Comparator

    public static class CachedClass.CachedMethodComparatorByName

Field Summary
`static java.util.Comparator` | `INSTANCE`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final java.util.Comparator INSTANCE

Method Detail

### compare

    public int compare(java.lang.Object o1, java.lang.Object o2)

Groovy Documentation